org.eclipse.ease.ui.scripts.ui

## Class ScriptContextMenuEntries

- java.lang.Object
- - org.eclipse.ui.menus.AbstractContributionFactory
  - - org.eclipse.ease.ui.scripts.ui.ScriptContextMenuEntries

All Implemented Interfaces:
  ISelectionChangedListener

    public class ScriptContextMenuEntries
    extends AbstractContributionFactory
    implements ISelectionChangedListener

Provide context menu entries for macros.

### Constructor Summary

Constructors
Constructor and Description
`ScriptContextMenuEntries(java.lang.String location)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createContributionItems(IServiceLocator serviceLocator, IContributionRoot additions)`
`void` `selectionChanged(SelectionChangedEvent event)`

### Methods inherited from class org.eclipse.ui.menus.AbstractContributionFactory

`getLocation, getNamespace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptContextMenuEntries

    public ScriptContextMenuEntries(java.lang.String location)

Constructor.

Parameters:
  `location` - location to add factory to.

### Method Detail

#### createContributionItems

    public final void createContributionItems(IServiceLocator serviceLocator,
                                              IContributionRoot additions)

Specified by:
  `createContributionItems` in class `AbstractContributionFactory`

#### selectionChanged

    public void selectionChanged(SelectionChangedEvent event)

Specified by:
  `selectionChanged` in interface `ISelectionChangedListener`